OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PendingPollEvent

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollEvent
          org.opennms.netmgt.poller.pollables.PendingPollEvent

public class PendingPollEvent
extends PollEvent

Represents a PendingPollEvent

Author:
  brozow

Field Summary
`private Event` `m_event`
`private boolean` `m_pending`
`private java.util.List` `m_pendingOutages`

Constructor Summary
`PendingPollEvent(Event event)`

Method Summary
`void` `addPending(java.lang.Runnable r)`
`void` `complete(Event e)`
`java.util.Date` `getDate()`
`Event` `getEvent()`
`int` `getEventId()`
`boolean` `isPending()`
`void` `processPending()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_event

    private Event m_event

### m_pending

    private boolean m_pending

### m_pendingOutages

    private java.util.List m_pendingOutages

Constructor Detail

### PendingPollEvent

    public PendingPollEvent(Event event)

Method Detail

### getDate

    public java.util.Date getDate()

  Specified by:
    `getDate` in class `PollEvent`

### getEventId

    public int getEventId()

  Specified by:
    `getEventId` in class `PollEvent`

### addPending

    public void addPending(java.lang.Runnable r)

### getEvent

    public Event getEvent()

### isPending

    public boolean isPending()

### complete

    public void complete(Event e)

### processPending

    public void processPending()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.